# Verify email at signup

This module extends the functionality of public sign up to force users to provide a valid email address.

To achieve this, users are not required to provide a password at sign up: they are asked for only at first login attempt.

Table of contents

- Installation
- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Installation

- Install email_validator with `pip install email_validator` or equivalent.

# Configuration

To configure this module, you need to:

- Properly configure your outgoing email server(s).
- Go to Settings > General Settings -> General settings, search for the Users section and enable Free sign up in Customer account.

# Usage

To use this module, you need to:

- Log out.
- Sign up with a valid email.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Antiun Ingeniería S.L.
- Tecnativa

## Contributors

- Rafael Blasco <rafaelbn@antiun.com>
- Jairo Llopis <yajo.sk8@gmail.com>
- Simone Orsi <simone.orsi@camptocamp.com>
- Alexandre Díaz <alexandre.diaz@tecnativa.com>
- Eugene Molotov <molotov@it-projects.info>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.